<?php

namespace WPDesk\ShopMagic\Action\Builtin\SendMail;

use WPDesk\ShopMagic\FormField\Field\TextAreaField;

/**
 * Action to send emails using plain text. No HTML is allowed.
 */
final class SendPlainTextMailAction extends AbstractSendMailAction {
	/**
	 * @inheritDoc
	 */
	public function get_name() {
		return __( 'Send Email - Plain Text', 'shopmagic-for-woocommerce' );
	}

	/**
	 * @inheritDoc
	 */
	public function get_fields() {
		return array_merge( parent::get_fields(),
			[
				( new TextAreaField() )
					->set_label( __( 'Message', 'shopmagic-for-woocommerce' ) )
					->set_name( self::PARAM_MESSAGE_TEXT )
			] );
	}

	/**
	 * @inheritDoc
	 */
	protected function get_message_content() {
		$raw_message = apply_filters( 'shopmagic/core/action/sendmail/raw_message', sanitize_textarea_field( $this->placeholder_processor->process( $this->fields_data->get( self::PARAM_MESSAGE_TEXT ) ) ) );

		return $raw_message;
	}

	/**
	 * @inheritDoc
	 */
	public function get_mail_content_type() {
		return 'text/plain';
	}
}
