<?php

use WPDesk\ShopMagic\Action\Builtin\SendMail\AbstractSendMailAction;
use WPDesk\ShopMagic\Admin\Automation\ManualActionsConfirmPage;
use \WPDesk\ShopMagic\Automation\Automation;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
/**
 * @var Automation $automation
 * @var \Generator|\WC_Order[] $matched_orders_generator
 */
?>

<div class="wrap manual-action-confirm">
	<h1 class="wp-heading-inline"><?php _e( 'ShopMagic / Manual Actions', 'shopmagic-for-woocommerce' ); ?></h1>
	<h2><?php _e( 'Automation: ' ); ?><?php echo $automation->get_name(); ?></h2>

	<table class="form-table">
		<tbody>
			<tr>
				<th><?php _e( 'Matched items', 'shopmagic-for-woocommerce' ); ?></th>

				<td>
					<div class="items">
						<ul class="item-list">
							<?php $counter = 0; ?>
							<?php foreach ( $matched_orders_generator as $order ): ?>
								<?php $counter ++; ?>
								<li><a href="<?php echo $order->get_edit_order_url(); ?>"
									   target="_blank"><?php _e( 'Order #', 'shopmagic-for-woocommerce' ); ?><?php echo $order->get_id(); ?></a>
								</li>
							<?php endforeach; ?>
						</ul>

						<div class="item-summary">
							<?php _e( 'Total: ', 'shopmagic-for-woocommerce' ); ?><?php echo $counter; ?>
						</div>
					</div>
				</td>
			</tr>

			<?php foreach ( $automation->get_actions() as $index => $action ): ?>
				<tr class="action">
					<th><?php _e( 'Action', 'shopmagic-for-woocommerce' ); ?> #<?php echo $index + 1; ?></th>

					<td>
						<ul>
							<li><strong><?php _e( 'Type:', 'shopmagic-for-woocommerce' ); ?></strong> <?php echo $action->get_name(); ?></li>

							<?php
								$description = $action->get_fields_data()->get('_action_title');
								if ( $description ): ?>
								<li><strong><?php _e( 'Description:', 'shopmagic-for-woocommerce' ); ?></strong> <?php echo $description; ?></li>
							<?php endif; ?>

							<?php if ( $action instanceof AbstractSendMailAction ): ?>
								<li><strong><?php _e( 'Subject: ', 'shopmagic-for-woocommerce' ); ?></strong><?php echo $action->get_subject_raw(); ?></li>
							<?php endif; ?>

							<?php do_action( 'shopmagic/core/manual_action/confirm_template/after_action_fields', $action, $automation ); ?>
						</ul>
					</td>
				</tr>
			<?php endforeach; ?>
		</tbody>
	</table>

	<div class="confirm-footer">
		<form method="POST">
			<input class="button button-primary" type="submit" name="run" value="<?php _e( 'Run actions now', 'shopmagic-for-woocommerce' ); ?>"/>

			<span class="manual-action-confirm-or">
				<?php _e( 'or', 'shopmagic-for-woocommerce' ); ?>
				<a href="<?php echo get_edit_post_link( $automation->get_id() ); ?>"><?php _e( 'go back end edit', 'shopmagic-for-woocommerce' ); ?></a>
			</span>
		</form>
	</div>
</div>
