<?php

namespace WPDesk\ShopMagic\DataSharing\Traits;

trait StandardWooCommerceDataProviderAccessors {
	/**
	 * @return \WP_User
	 */
	protected function get_user() {
		return $this->provided_data[ \WP_User::class ];
	}

	/**
	 * @return bool
	 */
	protected function is_user_guest() {
		$user = $this->get_user();

		return ! isset( $user->ID );
	}

	/**
	 * @return \WC_Abstract_Order $order Can be \WC_Order or \WC_Order_Refund
	 */
	protected function get_order() {
		return $this->provided_data[ \WC_Order::class ];
	}

	/**
	 * @return bool
	 */
	protected function is_order_provided() {
		return isset( $this->provided_data[ \WC_Order::class ] ) && $this->provided_data[ \WC_Order::class ] instanceof \WC_Order;
	}

	/**
	 * @return \WP_Comment
	 */
	protected function get_comment() {
		return $this->provided_data[ \WP_Comment::class ];
	}

	/**
	 * @return bool
	 */
	protected function is_comment_provided() {
		return isset( $this->provided_data[ \WP_Comment::class ] ) && $this->provided_data[ \WP_Comment::class ] instanceof \WP_Comment;
	}

	/**
	 * @return \WC_Product $product
	 */
	protected function get_product() {
		return $this->provided_data[ \WC_Product::class ];
	}

	/**
	 * @return bool
	 */
	protected function is_product_provided() {
		return isset( $this->provided_data[ \WC_Product::class ] ) && $this->provided_data[ \WC_Product::class ] instanceof \WC_Product;
	}
}
