<?php

namespace WPDesk\ShopMagic\Event;

use WPDesk\ShopMagic\DataSharing\DataReceiver;

/**
 * Interface for all events that can be manually triggered.
 * There is a difference between ManualGlobalEvent and this event: this event always fires per instance.
 * When ManualGlobalEvent it fires for all automation that are connected to the event. Here always only one automation
 * is used.
 *
 * @package WPDesk\ShopMagic\Event
 */
interface ManualEvent extends DataReceiver, Event {
	/**
	 * Fires an event.
	 *
	 * @return void
	 */
	public function trigger();

	/**
	 * @return bool
	 */
	public function is_filter_passed();
}
