<?php

namespace WPDesk\ShopMagic\Placeholder\Builtin\Customer;

use WPDesk\ShopMagic\Placeholder\Builtin\UserBasedPlaceholder;

final class CustomerFirstName extends UserBasedPlaceholder {

	public function get_slug() {
		return parent::get_slug() . '.first_name';
	}

	/**
	 * @param array $parameters
	 *
	 * @return string
	 */
	public function value( array $parameters ) {
		if ( $this->is_order_provided() ) {
			$fallback = $this->get_order()->get_billing_first_name();
		} else {
			$fallback = '';
		}

		return ( ! empty( $this->get_user()->first_name ) ? $this->get_user()->first_name : $fallback );
	}
}
