<?php

namespace WPDesk\ShopMagic\Placeholder\Builtin\Order;

use WPDesk\ShopMagic\Placeholder\Builtin\WooCommerceOrderBasedPlaceholder;

final class OrderDetails extends WooCommerceOrderBasedPlaceholder {
	public function get_slug() {
		return parent::get_slug() . '.details';
	}

	/**
	 * @param array $parameters
	 *
	 * @return string
	 */
	public function value( array $parameters ) {
		ob_start();

		/**
		 * Based on \WC_Emails::order_details but decided not to use call it as it being changed to frequently.
		 * @see \WC_Emails::order_details
		 */
		wc_get_template(
			'emails/email-order-details.php',
			array(
				'order'         => $this->get_order(),
				'sent_to_admin' => $sent_to_admin = false,
				'plain_text'    => $plain_text = false,
				'email'         => $email = '',
			)
		);

		return ob_get_clean();
	}
}
