<?php

namespace WPDesk\ShopMagic\Placeholder;

use WPDesk\ShopMagic\DataSharing\DataAccess\NewUserAccount;

final class PlaceholderGroup {
	const ORDER = 'order';
	const PRODUCT = 'product';
	const USER = 'customer';
	const SHOP = 'shop';

	/**
	 * @param string|string[] $classes
	 *
	 * @return string
	 */
	public static function class_to_group( $classes ) {
		if ( ! is_array( $classes ) ) {
			$classes = [ $classes ];
		}
		foreach ( $classes as $class ) {
			if ( is_a( $class, \WC_Abstract_Order::class, true ) ) {
				return self::ORDER;
			}
			if ( is_a( $class, \WC_Product::class, true ) ) {
				return self::PRODUCT;
			}
			if ( is_a( $class, \WP_User::class, true ) ) {
				return self::USER;
			}
			if ( is_a( $class, NewUserAccount::class, true ) ) {
				return self::USER;
			}
		}

		return self::SHOP;
	}
}
