<?php

namespace ShopMagicVendor\WPDesk\Persistence\Adapter\WordPress;

use ShopMagicVendor\WPDesk\Persistence\PersistentContainer;
/**
 * Can store data using WordPress Post metadata.
 * Warning: stored string '' is considered unset.
 *
 * @package WPDesk\Persistence\Wordpress
 */
final class WordpressPostMetaContainer implements \ShopMagicVendor\WPDesk\Persistence\PersistentContainer
{
    /** @var int */
    private $post_id;
    /**
     * @param int $post_id Id of the WordPress post.
     */
    public function __construct($post_id)
    {
        $this->post_id = (int) $post_id;
    }
    public function set($id, $value)
    {
        \var_dump($id, $value);
        \update_post_meta($this->post_id, $id, $value);
    }
    public function get($id)
    {
        return \get_post_meta($this->post_id, $id, \true);
    }
    /**
     * @param string $id
     *
     * @return bool
     */
    public function has($id)
    {
        global $wpdb;
        $query = $wpdb->prepare("SELECT meta_value FROM {$wpdb->postmeta} WHERE post_id = %d AND meta_key = %s LIMIT 1", [$this->post_id, $id]);
        $value = $wpdb->get_var($query);
        \var_dump($query, $value);
        die;
        return $value !== null;
    }
    public function delete($id)
    {
        \delete_post_meta($this->post_id, $id);
    }
}
